Package picard.pedigree

## Enum Sex

- java.lang.Object
- - java.lang.Enum<Sex>
  - - picard.pedigree.Sex

- All Implemented Interfaces:
    `Serializable`, `Comparable<Sex>`

      public enum Sex
      extends Enum<Sex>

  Represents the sex of an individual.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `Female` |
    `Male` |
    `NotReported` |
    `Unknown` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Sex` | `fromCode​(int code)` | Decodes the Sex from a numeric code.
    `static Sex` | `fromString​(String sexString)` | Decodes the Sex from a String.
    `int` | `toCode()` | Returns the code used to encode this sex in a ped/fam file.
    `String` | `toSymbol()` | Returns the single-character symbol used to encode sex in a VCF file
    `static Sex` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Sex[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Male

          public static final Sex Male

    - #### Female

          public static final Sex Female

    - #### Unknown

          public static final Sex Unknown

    - #### NotReported

          public static final Sex NotReported

  - ### Method Detail

    - #### values

          public static Sex[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Sex c : Sex.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Sex valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toCode

          public int toCode()

      Returns the code used to encode this sex in a ped/fam file.

    - #### fromCode

          public static Sex fromCode​(int code)

      Decodes the Sex from a numeric code. Note that any value other than 1 or 2 will return Unknown.

    - #### toSymbol

          public String toSymbol()

      Returns the single-character symbol used to encode sex in a VCF file

    - #### fromString

          public static Sex fromString​(String sexString)

      Decodes the Sex from a String. This can be the full string or a single-character symbol representation